## kwin-effect-xrdesktop 0.15.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (kwin-effects-xrdesktop
  VERSION 0.15.1
)

set (CMAKE_CXX_STANDARD 14)

INCLUDE (CPack)

include (FeatureSummary)

add_definitions (-Wall)
set (CMAKE_CXX_STANDARD_REQUIRED ON)
set (CMAKE_CXX_EXTENSIONS OFF)

find_package (ECM REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_SOURCE_DIR}/cmake
    ${CMAKE_SOURCE_DIR}/cmake/Modules
)

include (KDEInstallDirs)
include (KDECMakeSettings)

include (FindPkgConfig)

PKG_CHECK_MODULES (KWINXRDEPS REQUIRED
    xrdesktop-0.15
    graphene-1.0
    libinputsynth-0.15
)

include_directories(${KWINXRDEPS_INCLUDE_DIRS})
link_directories(${KWINXRDEPS_LIBRARY_DIRS})

# disable warnings for qt moc
SET(CMAKE_AUTOMOC   ON)
SET(CMAKE_AUTOMOC_MOC_OPTIONS "-nw")

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(
        -Wall -Wextra -Wpedantic -Wno-c99-extensions
    )
endif()

add_subdirectory (src)

message ("Include: ${KWINXRDEPS_INCLUDE_DIRS}")
message ("Link: ${KWINXRDEPS_LIBRARIES}")

feature_summary (WHAT ALL)

=== src/CMakeLists.txt ===
#######################################
# Effect

#######################################
# Config

add_subdirectory( kcm )

find_package (KWinEffects REQUIRED)


find_package (Qt5 REQUIRED COMPONENTS
    Core
)

find_package (KF5 REQUIRED COMPONENTS
    Service
    WindowSystem
    GlobalAccel
    I18n
)

set(kwin_effect_vrmirror_SRCS VRMirror.cpp kwingltexture.cpp)
qt5_add_resources(kwin_effect_vrmirror_SRCS)
add_library(kwin_effect_xrdesktop SHARED ${kwin_effect_vrmirror_SRCS})

target_link_libraries(kwin_effect_xrdesktop
PRIVATE
    Qt5::Core
    KF5::WindowSystem
    KF5::Service
    KF5::GlobalAccel
    KF5::I18n
    KWinEffects::KWinEffects
)

target_include_directories(kwin_effect_xrdesktop PRIVATE
    ${KWINXRDEPS_INCLUDE_DIRS}
    ${KWINXRINPUTDEPS_INCLUDE_DIRS}
)
target_link_libraries(kwin_effect_xrdesktop PUBLIC
    ${KWINXRDEPS_LIBRARIES}
    ${KWINXRINPUTDEPS_LIBRARIES}
)

kcoreaddons_desktop_to_json(kwin_effect_xrdesktop vrmirror.desktop SERVICE_TYPES kwineffect.desktop)

install(
    TARGETS
        kwin_effect_xrdesktop
    DESTINATION
        ${PLUGIN_INSTALL_DIR}/kwin/effects/plugins/
)

=== src/kcm/CMakeLists.txt ===
#######################################
# Effect

#######################################
# Config
find_package (Qt5 REQUIRED COMPONENTS
    Core
    DBus
)

find_package (KF5 REQUIRED COMPONENTS
    ConfigWidgets
    GlobalAccel
    I18n
    Service
    XmlGui
)

set(kwin_vrmirror_config_SRCS vrmirror_config.cpp)
qt5_add_dbus_interface(kwin_vrmirror_config_SRCS dbus.xml kwineffects_interface)

add_library(kwin_xrdesktop_config MODULE ${kwin_vrmirror_config_SRCS})

target_link_libraries(kwin_xrdesktop_config
    Qt5::Core
    Qt5::DBus
    KF5::ConfigWidgets
    KF5::GlobalAccel
    KF5::I18n
    KF5::Service
    KF5::XmlGui
)

kcoreaddons_desktop_to_json(kwin_xrdesktop_config vrmirror_config.desktop SERVICE_TYPES kcmodule.desktop)

install(
    TARGETS
        kwin_xrdesktop_config
    DESTINATION
        ${PLUGIN_INSTALL_DIR}/kwin/effects/configs
)

=== debian/changelog ===
kwin-effect-xrdesktop (0.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 24 Jul 2020 11:33:29 +0800

kwin-effect-xrdesktop (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Apr 2020 15:40:45 +0800

kwin-effect-xrdesktop (0.14.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #955608)
  * Bump versions on build-deps.
  * Move package from contrib to main as no build-deps on non-free
    anymore.
  * Add versioned build-deps on gulkan.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 13 Apr 2020 08:07:13 +0800

kwin-effect-xrdesktop (0.13.2-2) unstable; urgency=medium

  * Add missing gplv2+ lisense files into copyright file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 04 Jan 2020 11:11:10 +0800

kwin-effect-xrdesktop (0.13.2-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Initial Release. (Closes: #933565)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 24 Dec 2019 14:57:43 +0800

=== debian/control ===
Source: kwin-effect-xrdesktop
Section: kde
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
 appstream,
 cmake,
 extra-cmake-modules,
 qtbase5-dev,
 libkf5configwidgets-dev,
 libkf5globalaccel-dev,
 libkf5i18n-dev,
 libkf5service-dev,
 libkf5xmlgui-dev,
 kwin-dev,
 libgulkan-dev (>= 0.15~),
 libgxr-dev,
 libgraphene-1.0-dev,
 libgdk-pixbuf2.0-dev,
 libcairo2-dev,
 libgtk-3-dev,
 libxdo-dev,
 libxrdesktop-dev (>= 0.15~),
 libinputsynth-dev (>= 0.15~),
Standards-Version: 4.3.0
Homepage: https://gitlab.freedesktop.org/xrdesktop/kwin-effect-xrdesktop
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/kwin-effect-xrdesktop
Vcs-Git: https://salsa.debian.org/xrdesktop-team/kwin-effect-xrdesktop.git

Package: kwin-effect-xrdesktop
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xrdesktop effect for KWin
 The xrdesktop effect for KWin. Mirror desktop windows into VR.
